require File.dirname(__FILE__) + '/../../../spec_helper'
require File.dirname(__FILE__) + '/sample_archetype_spec'
include OpenEHR::Serializer
include OpenEHR::AM::Archetype
include OpenEHR::RM::Support::Identification

describe ADLSerializer do
  it_should_behave_like 'sample archetype'

  before(:each) do
    @adl_serializer = ADLSerializer.new(@archetype)
  end

  it 'should be an instance of ADLSerializer' do
    @adl_serializer.should be_an_instance_of ADLSerializer
  end

  it 'header should return archetype context' do
    @adl_serializer.header.should == <<HERE
archetype (adl_version = 1.4)
\tadl-test-ENTRY.most_minimal.v1

concept
\t[at0000]
HERE
  end
end
